BasicComboPopup.PropertyChangeHandler (Java Platform SE 8 )
Keywords: javax.swing.plaf.basic.BasicComboPopup.PropertyChangeHandler class
Date: 2026-03-16

javax.swing.plaf.basic

## Class BasicComboPopup.PropertyChangeHandler

- java.lang.Object
- - javax.swing.plaf.basic.BasicComboPopup.PropertyChangeHandler

- All Implemented Interfaces:
    PropertyChangeListener, EventListener
  Enclosing class:
    BasicComboPopup

      protected class BasicComboPopup.PropertyChangeHandler
      extends Object
      implements PropertyChangeListener

  This listener watches for bound properties that have changed in the combo box.

  Subclasses which wish to listen to combo box property changes should call the superclass methods to ensure that the combo popup correctly handles property changes.

  See Also:
    `BasicComboPopup.createPropertyChangeListener()`

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `PropertyChangeHandler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `propertyChange(PropertyChangeEvent e)` This method gets called when a bound property is changed.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PropertyChangeHandler

          protected PropertyChangeHandler()

  - ### Method Detail

    - #### propertyChange

          public void propertyChange(PropertyChangeEvent e)

      Description copied from interface: `PropertyChangeListener`
      This method gets called when a bound property is changed.
      Specified by:
        `propertyChange` in interface `PropertyChangeListener`
      Parameters:
        `e` - A PropertyChangeEvent object describing the event source and the property that has changed.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.